List all Projects
This endpoint allows you to retrieve a paginated list of all your Projects. By default, a maximum of ten Projects are shown per page.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pagenumber · nullableOptional
limitnumber · max: 100 · nullableOptional
Responses
200
Returns a paginated list of Projects
application/json
pagenumberRequiredExample:
Page number
1limitnumberRequiredExample:
Number per page
10totalPagesnumberRequiredExample:
Total number of pages
1totalResultsnumberRequiredExample:
Total number of results
1401
Unauthorized
application/json
get/v2/projects
GET /v2/projects HTTP/1.1
Host: api.underdogprotocol.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"results": [
{
"name": "NFT #1",
"symbol": "NFT",
"description": "This is my first NFT",
"image": "https://example.com/image.png",
"animationUrl": "https://example.com/animation.mp4",
"id": 1,
"mintAddress": "EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDp",
"transferable": true,
"status": "text"
}
],
"page": 1,
"limit": 10,
"totalPages": 1,
"totalResults": 1
}Example
curl --location --request GET 'https://dev.underdogprotocol.com/v2/projects?limit=2' \
--header 'Authorization: Bearer {token}'const axios = require('axios');
let config = {
method: 'get',
url: 'https://dev.underdogprotocol.com/v2/projects?limit=2',
headers: {
'Authorization': 'Bearer {token}'
}
};
axios(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Last updated